Bug 17084 - Automatic debian/control updates (master)
Summary: Automatic debian/control updates (master)
Status: ASSIGNED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P1 - high normal (vote)
Assignee: Mason James
QA Contact: Mason James
URL:
Keywords:
Depends on: 17425 17618
Blocks: 24167
  Show dependency treegraph
 
Reported: 2016-08-08 22:24 UTC by Mirko Tietgen
Modified: 2020-10-14 13:56 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17084 - Automatic debian/control updates (master) (921 bytes, patch)
2016-08-11 04:35 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17084 - Automatic debian/control updates (master) (994 bytes, patch)
2016-08-11 10:00 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17108 - Automatic debian/control updates (stable) (3.61 KB, patch)
2016-08-11 11:09 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17084 - Automatic debian/control updates (master) (927 bytes, patch)
2016-08-11 22:26 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug - Automatic debian/control updates (unstable) (978 bytes, patch)
2016-08-12 07:42 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug - Automatic debian/control updates (unstable) (978 bytes, patch)
2016-08-12 08:12 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17084 - Automatic debian/control updates (unstable) (929 bytes, patch)
2016-08-12 22:26 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17050: (QA followup) Use Mojo::Transaction to get the remote address (2.46 KB, patch)
2016-08-23 22:30 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17084 debian/control updates (master) (1.32 KB, patch)
2016-10-12 13:18 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17084 debian/control updates (master) (1.38 KB, patch)
2016-10-12 13:21 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17084 - Automatic debian/control updates (unstable) (945 bytes, patch)
2016-10-29 03:28 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17084 - Automatic debian/control updates (unstable) (1001 bytes, patch)
2016-10-29 03:31 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17084: Automatic debian/control updates (4.94 KB, patch)
2018-01-23 12:31 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17084: Automatic debian/control updates (4.99 KB, patch)
2018-01-23 12:32 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17084: Automatic debian/control updates (master) (2.11 KB, patch)
2018-05-14 20:23 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17084 - Automatic debian/control updates (unstable/master) (1.40 KB, patch)
2018-08-30 22:25 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17084 - Automatic debian/control updates (unstable/master) (1.52 KB, patch)
2018-08-31 10:34 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17084: Automatic debian/control updates (unstable/master) (1003 bytes, patch)
2018-10-11 14:25 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17084 - Automatic debian/control updates (unstable/master) (2.10 KB, patch)
2018-11-14 23:25 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17084 - Automatic debian/control updates (unstable/master) (2.15 KB, patch)
2018-11-15 11:03 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17084- Automatic debian/control updates (unstable/master) (1.50 KB, patch)
2019-05-13 22:25 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17084- Automatic debian/control updates (unstable/master) (1.99 KB, patch)
2019-06-18 22:25 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17084- Automatic debian/control updates (unstable/master) (2.80 KB, patch)
2019-10-08 22:27 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17084- Automatic debian/control updates (unstable/master) (899 bytes, patch)
2019-10-31 23:28 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17084- Automatic debian/control updates (unstable/master) (875 bytes, patch)
2020-01-10 23:33 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17084- Automatic debian/control updates (unstable/master) (915 bytes, patch)
2020-01-24 10:17 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17084- Automatic debian/control updates (unstable/master) (9.33 KB, patch)
2020-02-12 23:11 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17084- Automatic debian/control updates (unstable/master) (9.46 KB, patch)
2020-02-13 09:56 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17084- Automatic debian/control updates (unstable/master) (9.51 KB, patch)
2020-02-21 23:11 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17084- Automatic debian/control updates (unstable/master) (9.77 KB, patch)
2020-05-20 08:56 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17084- Automatic debian/control updates (unstable/master) (10.35 KB, patch)
2020-05-23 08:56 UTC, Nightly Build Bot
Details | Diff | Splinter Review
Bug 17084 - Automatic debian/control updates (master) (5.19 KB, patch)
2020-05-24 03:21 UTC, Mason James
Details | Diff | Splinter Review
Bug 17084: Update package maintainer details (992 bytes, patch)
2020-05-24 03:46 UTC, Mason James
Details | Diff | Splinter Review
Bug 17084 - add libcpan-meta-perl to debina/control.in file (1.00 KB, patch)
2020-05-28 11:13 UTC, Mason James
Details | Diff | Splinter Review
Bug 17084: add ilibcpan-meta-perl (>= 2.150010-1) control.in file (949 bytes, patch)
2020-05-28 14:26 UTC, Mason James
Details | Diff | Splinter Review
Bug 17084: Automatic debian/control updates (master) (6.13 KB, patch)
2020-06-01 05:26 UTC, Mason James
Details | Diff | Splinter Review
Bug 17084: Automatic debian/control updates (master) (2.68 KB, patch)
2020-10-14 10:52 UTC, Mason James
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2016-08-08 22:24:26 UTC
Things the nightly build bot says.
Comment 1 Nightly Build Bot 2016-08-11 04:35:54 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2016-08-11 10:00:47 UTC
Created attachment 54293 [details] [review]
Bug 17084 - Automatic debian/control updates (master)

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2016-08-11 10:03:07 UTC
Skipping QA.
Comment 4 Nightly Build Bot 2016-08-11 11:09:45 UTC Comment hidden (obsolete)
Comment 5 Nightly Build Bot 2016-08-11 22:26:39 UTC Comment hidden (obsolete)
Comment 6 Nightly Build Bot 2016-08-12 07:42:16 UTC Comment hidden (obsolete)
Comment 7 Nightly Build Bot 2016-08-12 08:12:01 UTC Comment hidden (obsolete)
Comment 8 Nightly Build Bot 2016-08-12 22:26:28 UTC Comment hidden (obsolete)
Comment 9 Kyle M Hall 2016-08-17 17:58:47 UTC
Pushed to master for 16.11, thanks Mirko!
Comment 11 Mirko Tietgen 2016-10-12 13:18:26 UTC
Created attachment 56276 [details] [review]
Bug 17084 debian/control updates (master)

Dependencies for Bug 16885 and 17425
Comment 12 Mirko Tietgen 2016-10-12 13:21:45 UTC
Created attachment 56277 [details] [review]
Bug 17084 debian/control updates (master)

Dependencies for Bug 16885 and 17425

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 13 Mirko Tietgen 2016-10-12 13:22:49 UTC
Generated file, going staight to passed QA.
Comment 14 Kyle M Hall 2016-10-21 15:11:21 UTC
Pushed to master for 16.11, thanks Mirko!
Comment 15 Nightly Build Bot 2016-10-29 03:28:12 UTC
Created attachment 56972 [details] [review]
Bug 17084 - Automatic debian/control updates (unstable)
Comment 16 Mirko Tietgen 2016-10-29 03:31:24 UTC
Created attachment 56973 [details] [review]
Bug 17084 - Automatic debian/control updates (unstable)

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 17 Kyle M Hall 2016-11-02 11:00:06 UTC
Pushed to master for 16.11, thanks Mirko!
Comment 18 Mason James 2016-12-14 10:06:21 UTC
Pushed to 16.05.x, for 16.05.06 release
Comment 19 Mirko Tietgen 2016-12-14 10:19:54 UTC
Mason: I split the bugs for this, please use only the oldstable one to push to 16.05, because dependencies won't be the same for each branch.

You can find it here: https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17111
Comment 20 Mirko Tietgen 2018-01-23 12:31:38 UTC
Created attachment 70820 [details] [review]
Bug 17084: Automatic debian/control updates
Comment 21 Mirko Tietgen 2018-01-23 12:32:56 UTC
Created attachment 70821 [details] [review]
Bug 17084: Automatic debian/control updates

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 22 Jonathan Druart 2018-01-30 17:25:51 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 23 Mirko Tietgen 2018-03-01 10:26:38 UTC
Back to assigned for further dependency patches.
Comment 24 Mirko Tietgen 2018-05-14 20:23:29 UTC
Created attachment 75320 [details] [review]
Bug 17084: Automatic debian/control updates (master)

18.05.00-rc1

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 25 Jonathan Druart 2018-05-14 21:29:26 UTC
(In reply to Mirko Tietgen from comment #24)
> Created attachment 75320 [details] [review] [review]
> Bug 17084: Automatic debian/control updates (master)
> 
> 18.05.00-rc1
> 
> Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>

Pushed to master for 18.05.
Comment 26 Nightly Build Bot 2018-08-30 22:25:56 UTC
Created attachment 78317 [details] [review]
Bug 17084 - Automatic debian/control updates (unstable/master)
Comment 27 Mirko Tietgen 2018-08-31 10:34:37 UTC
Created attachment 78326 [details] [review]
Bug 17084 - Automatic debian/control updates (unstable/master)

This is a result of Bug 21068: Remove NorwegianPatronDB related code

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 28 Nick Clemens 2018-08-31 12:58:09 UTC
Pushed to master for 18.11
Comment 29 Martin Renvoize 2018-09-05 14:42:40 UTC
Not required for 18.05.x series.
Comment 30 Mirko Tietgen 2018-09-06 07:28:45 UTC
(In reply to Martin Renvoize from comment #29)
> Not required for 18.05.x series.

Hi Martin, this issue is split into one bug per supported branch. You don't need to follow this one for 18.05, patches for 18.05 will go to bug 17108.
Comment 31 Martin Renvoize 2018-09-06 08:43:51 UTC
Thanks for clarifying Mirko :)
Comment 32 Mirko Tietgen 2018-10-11 14:25:20 UTC
Created attachment 80412 [details] [review]
Bug 17084: Automatic debian/control updates (unstable/master)

I added libwebservice-ils-perl 0.17 to the repository, so it
goes into debian/control too.

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 33 Tomás Cohen Arazi 2018-10-13 12:20:51 UTC
Pushed for 18.11. Thanks Mirko. Please let me know when master packages are built on top of this, so I update the docker images we use in jenkins, and adjust kohadevbox likewise!
Comment 34 Mirko Tietgen 2018-10-14 11:43:27 UTC
(In reply to Tomás Cohen Arazi from comment #33)
> Pushed for 18.11. Thanks Mirko. Please let me know when master packages are
> built on top of this, so I update the docker images we use in jenkins, and
> adjust kohadevbox likewise!

Nightly is using it now, but fails to build because of the related tests. I opened bug 21567.
Comment 35 Nightly Build Bot 2018-11-14 23:25:20 UTC
Created attachment 82350 [details] [review]
Bug 17084 - Automatic debian/control updates (unstable/master)
Comment 36 Mirko Tietgen 2018-11-15 11:03:59 UTC
Created attachment 82357 [details] [review]
Bug 17084 - Automatic debian/control updates (unstable/master)

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 37 Nick Clemens 2018-11-15 12:49:58 UTC
Awesome work all!

Pushed to master for 18.11
Comment 38 Nightly Build Bot 2019-05-13 22:25:10 UTC
Created attachment 89722 [details] [review]
Bug 17084- Automatic debian/control updates (unstable/master)
Comment 39 Nightly Build Bot 2019-06-18 22:25:23 UTC
Created attachment 90762 [details] [review]
Bug 17084- Automatic debian/control updates (unstable/master)
Comment 40 Nightly Build Bot 2019-10-08 22:27:08 UTC
Created attachment 93904 [details] [review]
Bug 17084- Automatic debian/control updates (unstable/master)
Comment 41 Martin Renvoize 2019-10-31 17:14:52 UTC
Latest pushed to 19.11.x
Comment 42 Nightly Build Bot 2019-10-31 23:28:14 UTC
Created attachment 94933 [details] [review]
Bug 17084- Automatic debian/control updates (unstable/master)
Comment 43 Martin Renvoize 2019-11-01 06:20:15 UTC
Latest pushed to 19.11.x
Comment 44 Nightly Build Bot 2020-01-10 23:33:01 UTC
Created attachment 97236 [details] [review]
Bug 17084- Automatic debian/control updates (unstable/master)
Comment 45 Martin Renvoize 2020-01-24 09:10:39 UTC
Latest pushed to 20.05.x
Comment 46 Nightly Build Bot 2020-01-24 10:17:18 UTC
Created attachment 97865 [details] [review]
Bug 17084- Automatic debian/control updates (unstable/master)
Comment 47 Martin Renvoize 2020-01-27 08:29:50 UTC
I'm confused, why is it removing libarray-utils-perl and why is said module not installed on koha-testing-docker from koha-common ?
Comment 48 Nightly Build Bot 2020-02-12 23:11:28 UTC
Created attachment 98783 [details] [review]
Bug 17084- Automatic debian/control updates (unstable/master)
Comment 49 Nightly Build Bot 2020-02-13 09:56:42 UTC
Created attachment 98799 [details] [review]
Bug 17084- Automatic debian/control updates (unstable/master)
Comment 50 Nightly Build Bot 2020-02-21 23:11:43 UTC
Created attachment 99456 [details] [review]
Bug 17084- Automatic debian/control updates (unstable/master)
Comment 51 Nightly Build Bot 2020-05-20 08:56:41 UTC
Created attachment 105140 [details] [review]
Bug 17084- Automatic debian/control updates (unstable/master)
Comment 52 Nightly Build Bot 2020-05-23 08:56:42 UTC
Created attachment 105298 [details] [review]
Bug 17084- Automatic debian/control updates (unstable/master)
Comment 53 Mason James 2020-05-24 03:21:45 UTC
Created attachment 105313 [details] [review]
Bug 17084 - Automatic debian/control updates (master)

update for 20.04.00-alpha
Comment 54 Mason James 2020-05-24 03:46:12 UTC
Created attachment 105314 [details] [review]
Bug 17084: Update package maintainer details
Comment 55 Victor Grousset/tuxayo 2020-05-25 22:54:01 UTC
How should this be signed off? Like double checking that the changes here match the changes on bug 25591?

So, the removal of perl-modules, perl-modules-5.XX, perl

There are also changes from other recent patches. Like
- libpdf-api2-simple-perl
- libtest-harness-perl
- tinymce
Comment 56 Mason James 2020-05-28 11:13:20 UTC
Created attachment 105409 [details] [review]
Bug 17084 - add libcpan-meta-perl to debina/control.in file

this patch fixes an installation error on deb9

Can't locate object method "phases" via package "CPAN::Meta::Prereqs"
at /usr/share/koha/lib/C4/Installer/PerlModules.pm line 55.
Comment 57 Mason James 2020-05-28 11:20:18 UTC
(In reply to Victor Grousset/tuxayo from comment #55)
> How should this be signed off? Like double checking that the changes here
> match the changes on bug 25591?
> 
> So, the removal of perl-modules, perl-modules-5.XX, perl

yes, perl-modules and perl-modules-5.XX will be removed, and libperl-5.XX too
 
> There are also changes from other recent patches. Like
> - libpdf-api2-simple-perl
> - libtest-harness-perl
> - tinymce

yes, this is expected and correct
Comment 58 Victor Grousset/tuxayo 2020-05-28 14:21:02 UTC
Thanks for the clarifications, I'll double check.


conflict in debian/control
Comment 59 Mason James 2020-05-28 14:26:30 UTC
Created attachment 105416 [details] [review]
Bug 17084: add ilibcpan-meta-perl (>= 2.150010-1) control.in file
Comment 60 Mason James 2020-06-01 05:26:46 UTC
Created attachment 105452 [details] [review]
Bug 17084: Automatic debian/control updates (master)

update for 20.05 release cycle
Comment 61 Mason James 2020-06-01 05:28:39 UTC
(In reply to Victor Grousset/tuxayo from comment #58)
> Thanks for the clarifications, I'll double check.
> 
> 
> conflict in debian/control

hi folks
my patches are applied to the v20.05.00 tag
Comment 62 Jonathan Druart 2020-06-01 08:47:02 UTC
(In reply to Mason James from comment #61)
> (In reply to Victor Grousset/tuxayo from comment #58)
> > Thanks for the clarifications, I'll double check.
> > 
> > 
> > conflict in debian/control
> 
> hi folks
> my patches are applied to the v20.05.00 tag

If I checkout v20.05.00 I don't see those patches. Is there something missing in master or you are talking about another repo?
Comment 63 Mason James 2020-06-01 10:58:09 UTC
(In reply to Jonathan Druart from comment #62)
> (In reply to Mason James from comment #61)
> > (In reply to Victor Grousset/tuxayo from comment #58)
> > > Thanks for the clarifications, I'll double check.
> > > 
> > > 
> > > conflict in debian/control
> > 
> > hi folks
> > my patches are applied to the v20.05.00 tag
> 
> If I checkout v20.05.00 I don't see those patches. Is there something
> missing in master or you are talking about another repo?

i mean i've based these patches on the v20.05.00 commit

 $ git reset --hard v20.05.00
 $ git bz apply -s 17084
Comment 64 Jonathan Druart 2020-06-02 13:22:22 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 65 Mason James 2020-06-16 21:49:26 UTC
(In reply to Jonathan Druart from comment #64)
> Pushed to master for 20.11, thanks to everybody involved!

can this be applied to 20.05.x branch please
Comment 66 Jonathan Druart 2020-06-18 08:15:52 UTC
Mason, only 20.05?
Comment 67 Mason James 2020-06-18 08:20:49 UTC
(In reply to Jonathan Druart from comment #66)
> Mason, only 20.05?

hmm, and 19.11 too
Comment 68 Mason James 2020-06-18 08:26:13 UTC
hi Aleisha, can this be applied to 19.11 too, please
Comment 69 Jonathan Druart 2020-06-18 08:43:17 UTC
Pushed to 20.05.x for 20.05.01
Comment 70 Aleisha Amohia 2020-06-19 04:03:04 UTC
backported to 19.11.x for 19.11.07
Comment 71 Victor Grousset/tuxayo 2020-09-15 03:35:19 UTC
Rats, I somehow missed it, I don't know what the consequences of that miss have been. Might have been confused by my attempt to sign it off before being RMaint.

Backported to 19.05.x branch for 19.05.15
Comment 72 Mason James 2020-10-14 10:52:51 UTC
Created attachment 111587 [details] [review]
Bug 17084: Automatic debian/control updates (master)

built from c12ede4 on debian 9
Comment 73 Jonathan Druart 2020-10-14 13:56:49 UTC
(In reply to Mason James from comment #72)
> Created attachment 111587 [details] [review] [review]
> Bug 17084: Automatic debian/control updates (master)
> 
> built from c12ede4 on debian 9

Pushed to master for 20.11, thanks Mason!